[KItemViews] Port to non-deprecated QWheelEvent API
ClosedPublic

Authored by dfaure on Tue, Sep 10, 8:00 AM.

Details

Summary

Unfortunately there is no QWidget::mapFromGlobal(QPointF).

Test Plan

Builds.

Diff Detail

Repository
R276 KItemViews
Branch
master
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 16333
Build 16351: arc lint + arc unit
dfaure created this revision.Tue, Sep 10, 8:00 AM
Restricted Application added a project: Frameworks. · View Herald TranscriptTue, Sep 10, 8:00 AM
Restricted Application added a subscriber: kde-frameworks-devel. · View Herald Transcript
dfaure requested review of this revision.Tue, Sep 10, 8:00 AM
dfaure updated this revision to Diff 65770.Tue, Sep 10, 3:09 PM

rebase on top of Laurent's angleDelta().y() commit

mlaurent accepted this revision.Tue, Sep 10, 3:41 PM

It seems ok for me. +2

This revision is now accepted and ready to land.Tue, Sep 10, 3:41 PM
dfaure closed this revision.Tue, Sep 10, 4:24 PM

Seems not okay with KDE CI though ;) -> https://build.kde.org/view/Failing/job/Frameworks/job/kitemviews/

Some 5.14 API-only method now used?

Yep, I just spotted the CI-failure emails on k-f-d and pushed a fix.

It wasn't clear from the docs that this constructor was new. They forgot a \since ...